# MulticomplexNumbers.jl

A [Julia](http://julialang.org) package for representing [multicomplex numbers](https://en.wikipedia.org/wiki/Multicomplex_number) and performing multicomplex algebra.

---

### Authors

- [Chris Waudby](https://waudbylab.org), UCL School of Pharmacy, London (UK).

### Citing

If you find this package useful, please cite this repository:

Waudby C. A. (2022). MulticomplexNumbers.jl. https://github.com/waudbygroup/MulticomplexNumbers.jl.

### Licence

MulticomplexNumbers.jl is licenced under the MIT licence; see
[LICENSE](https://github.com/waudbygroup/MulticomplexNumbers.jl/blob/main/LICENSE) for the full license text.

### Installation

MulticomplexNumbers.jl is a [registered package](http://pkg.julialang.org), and is installed by running

```julia
pkg> add("MulticomplexNumbers")
```

### Related packages

- [NMRTools.jl](https://github.com/waudbygroup/NMRTools.jl): A simple library for handling NMR data in Julia
- [DualNumbers.jl](https://github.com/JuliaDiff/DualNumbers.jl): Julia package for representing dual numbers and for performing dual algebra
- [ForwardDiff.jl](https://github.com/JuliaDiff/ForwardDiff.jl): Forward Mode Automatic Differentiation for Julia
- [HyperDualNumbers.jl](https://github.com/JuliaDiff/HyperDualNumbers.jl): Julia implementation of HyperDualNumbers
- [CliffordAlgebras.jl](https://github.com/ATell-SoundTheory/CliffordAlgebras.jl): A fast and lightweight Julia package for Clifford and geometric algebras
- [Grassmann.jl](https://github.com/chakravala/Grassmann.jl): ⟨Leibniz-Grassmann-Clifford⟩ differential geometric algebra / multivector simplicial complex

<!-- ### Acknowledgments

... -->