# [User guide](@id userguide)

---

```@meta
CurrentModule = MulticomplexNumbers
```
For some simple examples, head over to the [examples section](@ref Examples).
For a detailed guide, keep reading.

[MulticomplexNumbers.jl](https://github.com/waudbygroup/MulticomplexNumbers.jl) is an implementation
of [multicomplex numbers](https://en.wikipedia.org/wiki/Multicomplex_number). These numbers are a
generalisation of complex numbers, recursively defined to contain multiple imaginary numbers,
``i_1``, ``i_2`` etc. A new type is defined, [`MulticomplexNumber`](@ref), which describes a
multicomplex number of any order, and associated arithmetic operations.

The package is loaded as usual:

```@repl userguide
using MulticomplexNumbers
```

## Complex numbers

...

## Bicomplex numbers

...

## Tricomplex numbers

...

## Arithmetic operations


## Matrix representations and multicomplex multiplication